#define FCM_VERSION "1.13"
//#define FCM_SAVE_COORDS

// Colours
#define black   0, 0, 0
#define white   1, 1, 1
#define white2  0.85, 0.85, 0.85
#define red     1, 0, 0
#define green   0, 1, 0
#define green2 0, 0.501, 0.250
#define blue    0, 0, 1
#define yellow 1,1,0.5020
#define yellow2 1,1,0.2
#define gray	0.4353,0.4353,0.4353
#define darkblue	0, 0.423, 0.662
#define lightblue2  0.6863, 0.8627, 0.9255
#define noColor		0,0,0,0

#define limeGreen		0.2902,0.6275,0.1725
#define darkSeaGreen	0.6000,0.7765,0.5569

#define green3			0.2980,0.7686,0.0902
#define lightcyan2		0.8118,0.9255,0.9255
#define lightblue3		0.5843,0.7255,0.7804

#define royalblue		0.1686,0.3765,0.8706
#define lightgoldyell	0.9804,0.9725,0.8000

//http://www.computerhope.com/htmcolor.htm




	// Save dialog info to a file for scripting
	#ifdef FCM_SAVE_COORDS
		fcm_save1 = __EVAL(loadFile ":file delete fcm_dialog.db")
	#endif




// BASE CLASSESS =======================================================================
class fcmTXT
{
	idc = -1
	type = 0
	style = 0
	text = ;
	colorBackground[] = {red, 0};
	colorText[] = {white, 1};
	font = "tahomaB48"
	sizeEx = 0.02
	lineSpacing = 1
};

class fcmIMG : fcmTXT {style=48; colorText[]={white,1};};

class fcmTXTCOLOR : fcmTXT {colorText[]={lightgoldyell,1}; style=0+256; sizeEx=0.022;};
class fcmTXTSMALL  : fcmTXT {sizeEx=0.018;};
class fcmSUBBACK   : fcmTXT {style=112; colorBackground[]={lightblue2, 0.5};};
class fcmTXTGRAY : fcmTXT {colorText[]={gray, 0.75};};

class fcmACTIVE : fcmTXT
{
	type = 11
	soundEnter[] = {"ui\ui_over", 0.2, 1};
	soundPush[] = {, 0.2, 1};
	soundClick[] = {"ui\ui_ok", 0.2, 1};
	soundEscape[] = {"ui\ui_cc", 0.2, 1};
	color[] = {white, 1};
	colorActive[] = {darkblue,1};
	action = "";
};

class fcmACTIVEGRAY : fcmACTIVE {color[]={gray, 0.75};};

class fcmBUT : fcmActive
{
	type = 1
	style = 2
	colorText[] = {black, 1};
	font = "courierNewB64";
	default = false;
};

class fcmCombo : fcmTXT
{
	type = 4;
	wholeHeight = 0.3;
	//colorSelect[] = {0,0.1176,0.1804, 1}; - texture dark blue
	colorSelect[] = {0.2,0.2,0.2, 1};
	colorText[] = {lightcyan2, 1};
	colorBackground[] = {0.1333,0.2392,0.2745, 1};
	sizeEx = 0.018;
};

class fcmLISTBOX : fcmTXT
{
	type = 5
	colorSelect[] = {0.35, 0.38, 0.36, 1};
	rowHeight = 0.028	
};

class fcmINPUT : fcmTXT
{
	type = 2
	autocomplete = "";
	colorSelection[] = {red, 0.5};
	sizeEx = 0.018;
};
// END OF BASE CLASSES =================================================================








// Main dialog
class FCM_editor
{
	idd = 0;
	movingEnable = 1;
	controls[] = {};
	controlsBackground[]=
	{
		Hidden,
		Background,
		Debug,
		Top_SubBackground,
		Home, Prev, Play1, PlayThis, Play2, PlayEnd, Play3, PlayAll, Hour, Next, End,
//		Home, Prev, Rota, Play1, PlayThis, Play2, PlayEnd, Play3, PlayAll, Hour, Next, End,
		
		Left_SubBackground,
		Left_Sub1, Left_Sub2, Left_Sub3, Left_Sub4, Left_Sub5,
		
		Move, MoveTitle, MoveInput,
		Target, TargetGray, TargetText, Position, PositionGray, PositionText, FOV, FOVGray, PositionList, PositionNoChange, TargetList, TargetNoChange, FOVInput, FOVNoChange,
		Commit, Condition, Wait, CommitInput, CommitZero, CommitDUMMY, ConditList, ConditDUMMY, WaitInput, WaitDUMMY,

		Right_SubBackground,
		Right_Sub1, Right_Sub2, Right_Sub3, Right_Sub4, Right_Sub5,
		
		Move2, MoveTitle2, MoveInput2,
		Target2, TargetGray2, TargetText2, Position2, PositionGray2, PositionText2, FOV2, FOVGray2, PositionList2, PositionNoChange2, TargetList2, TargetNoChange2, FOVInput2, FOVNoChange2,
		Commit2, Condition2, Wait2, CommitInput2, CommitZero2, CommitDUMMY2, ConditList2, ConditDUMMY2, WaitInput2, WaitDUMMY2,
		
		ActorName, ActorListBackground, ActorList, CustomBackground, CustomInput, Message, Message1, Message2, Message3, Message4, Message5, Message6, Message7, Message8, Message9, Help,
//		ActorName, ActorListBackground, ActorList, CustomBackground, CustomInput, RotateBackground, RotateInput, Message, Message1, Message2, Message3, Message4, Message5, Message6, Message7, Message8, Message9, Help,
		
		Lmenu_Shade, Lmenu_BackgroundIMG, Lmenu_Background, Lmenu_UpperLine, Lmenu_LeftLine, Lmenu_DownLine, Lmenu_RightLine,
		Lmenu_Text1_Background, Lmenu_Text2_Background, Lmenu_Text3_Background, Lmenu_Text4_Background, Lmenu_Text5_Background, Lmenu_Text6_Background, Lmenu_Text7_Background, Lmenu_Text8_Background,
		Lmenu_Text1_UpperLine, Lmenu_Text2_UpperLine, Lmenu_Text3_UpperLine, Lmenu_Text4_UpperLine, Lmenu_Text5_UpperLine, Lmenu_Text6_UpperLine, Lmenu_Text7_UpperLine, Lmenu_Text8_UpperLine,
		Lmenu_Text1_LeftLine, Lmenu_Text2_LeftLine, Lmenu_Text3_LeftLine, Lmenu_Text4_LeftLine, Lmenu_Text5_LeftLine, Lmenu_Text6_LeftLine, Lmenu_Text7_LeftLine, Lmenu_Text8_LeftLine,
		Lmenu_Text1_DownLine, Lmenu_Text2_DownLine, Lmenu_Text3_DownLine, Lmenu_Text4_DownLine, Lmenu_Text5_DownLine, Lmenu_Text6_DownLine, Lmenu_Text7_DownLine, Lmenu_Text8_DownLine,
		Lmenu_Text1_RightLine, Lmenu_Text2_RightLine, Lmenu_Text3_RightLine, Lmenu_Text4_RightLine, Lmenu_Text5_RightLine, Lmenu_Text6_RightLine, Lmenu_Text7_RightLine, Lmenu_Text8_RightLine,
		Lmenu_Text1, Lmenu_Text2, Lmenu_Text3, Lmenu_Text4, Lmenu_Text5, Lmenu_Text6, Lmenu_Text7, Lmenu_Text8,
		Lmenu_Text1_Black, Lmenu_Text2_Black, Lmenu_Text3_Black, Lmenu_Text4_Black, Lmenu_Text5_Black, Lmenu_Text6_Black, Lmenu_Text7_Black, Lmenu_Text8_Black,
	
		Rmenu_Shade, Rmenu_BackgroundIMG, Rmenu_Background, Rmenu_UpperLine, Rmenu_LeftLine, Rmenu_DownLine, Rmenu_RightLine,
		Rmenu_Text1_Background, Rmenu_Text2_Background, Rmenu_Text3_Background, Rmenu_Text4_Background, Rmenu_Text5_Background, Rmenu_Text6_Background, Rmenu_Text7_Background, Rmenu_Text8_Background,
		Rmenu_Text1_UpperLine, Rmenu_Text2_UpperLine, Rmenu_Text3_UpperLine, Rmenu_Text4_UpperLine, Rmenu_Text5_UpperLine, Rmenu_Text6_UpperLine, Rmenu_Text7_UpperLine, Rmenu_Text8_UpperLine,
		Rmenu_Text1_LeftLine, Rmenu_Text2_LeftLine, Rmenu_Text3_LeftLine, Rmenu_Text4_LeftLine, Rmenu_Text5_LeftLine, Rmenu_Text6_LeftLine, Rmenu_Text7_LeftLine, Rmenu_Text8_LeftLine,
		Rmenu_Text1_DownLine, Rmenu_Text2_DownLine, Rmenu_Text3_DownLine, Rmenu_Text4_DownLine, Rmenu_Text5_DownLine, Rmenu_Text6_DownLine, Rmenu_Text7_DownLine, Rmenu_Text8_DownLine,
		Rmenu_Text1_RightLine, Rmenu_Text2_RightLine, Rmenu_Text3_RightLine, Rmenu_Text4_RightLine, Rmenu_Text5_RightLine, Rmenu_Text6_RightLine, Rmenu_Text7_RightLine, Rmenu_Text8_RightLine,
		Rmenu_Text1, Rmenu_Text2, Rmenu_Text3, Rmenu_Text4, Rmenu_Text5, Rmenu_Text6, Rmenu_Text7, Rmenu_Text8,
		Rmenu_Text1_Black, Rmenu_Text2_Black, Rmenu_Text3_Black, Rmenu_Text4_Black, Rmenu_Text5_Black, Rmenu_Text6_Black, Rmenu_Text7_Black, Rmenu_Text8_Black,
		
		UpperBackground, DummyInput, UpperTitle,
		UpperButton1_overlay, UpperButton1, 
		UpperButton2_overlay, UpperButton2,
		UpperButton3_overlay, UpperButton3, 
		UpperButton4_overlay, UpperButton4, 
		UpperButton5_overlay, UpperButton5
	};

	class Hidden : fcmTXT {style=16; x=0; y=-0.01; w=0.01; h=0.01; idc=1666003;};
	







// Define dialog elements before writing classses
// User-defined variables: *************************************************

	// How many columns in sub-backgrounds and what are their sizes?
	__EXEC(FCM_Columns = [0.08, 0.1, 0.08, 0.1]);
	
	// Number of lines and height of a single one
	__EXEC(FCM_Lines = 4);
	__EXEC(FCM_LineHeight = 0.025);
	
	// First sub-background height
	__EXEC(FCM_TopSubHeight = 0.05);
	
	// Space between sub-background and background (horizontal and vertical)
	__EXEC(FCM_Edge_SpaceW = 0.01);
	__EXEC(FCM_Edge_SpaceH = FCM_Edge_SpaceW*1.34);
	
	// Space between sub-backgrounds
	__EXEC(FCM_Sub_SpaceW = 0.015);
	__EXEC(FCM_Sub_SpaceH = 0.012*1.34);
	
	// Space between cell and sub-background
	__EXEC(FCM_CellEdge_SpaceW = 0.01);
	__EXEC(FCM_CellEdge_SpaceH = 0.008);
	
	// Space between cells
	__EXEC(FCM_CellSub_SpaceW = 0.007);
	__EXEC(FCM_CellSub_SpaceH = 0.007);
	
// End of user-defined part ************************************************



// Number of spaces between cells
//  (total number of columns minus one)
__EXEC(FCM_CellSpacesW = -1 + count FCM_Columns);

// Sum columns width
__EXEC(FCM_ColumnsW=0);
__EXEC({FCM_ColumnsW=FCM_ColumnsW+_x} forEach FCM_Columns);

// Calculate sub-background width
__EXEC(FCM_SubBackW = FCM_ColumnsW + FCM_CellEdge_SpaceW*2 + FCM_CellSub_SpaceW * FCM_CellSpacesW)

// Calculate whole dialog width
__EXEC(FCM_TotalWidth = FCM_Edge_SpaceW*2 + FCM_Sub_SpaceW + FCM_SubBackW*2)

// Calculate dialog horizontal position (center on the screen)
__EXEC(FCM_Background_X = 1 - FCM_TotalWidth);
__EXEC(FCM_Background_X = FCM_Background_X / 2);

// Number of vertical spaces between cells
__EXEC(FCM_CellSpacesH = FCM_Lines - 1);

// Calculate sub-background height
__EXEC(FCM_SubBackH = FCM_CellEdge_SpaceH*2 + FCM_CellSpacesH*FCM_CellSub_SpaceH + FCM_Lines*FCM_LineHeight)

// Calculate whole dialog height
__EXEC(FCM_TotalHeight = FCM_Edge_SpaceH*2 + FCM_TopSubHeight + FCM_Sub_SpaceH + FCM_SubBackH)

// Calculate dialog vertical position
__EXEC(FCM_Background_Y = 1 - FCM_TotalHeight)





	class Background : fcmTXT		// Texture background
	{
		style = 80
		x = __EVAL(FCM_Background_X - 0.005)
		y = __EVAL(FCM_Background_Y - 0.007)
		w = __EVAL(FCM_TotalWidth + 0.013)
		h = __EVAL(FCM_TotalHeight + 0.015 + 0.036)	// +0.036 to compensate for 5:4
		colorBackground[] = {darkblue, 1};
	};
	
	class Top_SubBackground : fcmSUBBACK
	{
		x = __EVAL(FCM_Background_X + FCM_Edge_SpaceW)
		y = __EVAL(FCM_Background_Y + FCM_Edge_SpaceH)
		w = __EVAL(FCM_TotalWidth - FCM_Edge_SpaceW*2)
		h = __EVAL(FCM_TopSubHeight)
		//style = 1 + 80
		//text = __EVAL(FCM_Background_X - 0.005 + FCM_TotalWidth - FCM_Edge_SpaceW*2)
	};
	
	class Left_SubBackground : Top_SubBackground
	{
		idc = 0
		y = __EVAL(FCM_Background_Y + FCM_Edge_SpaceH + FCM_TopSubHeight + FCM_Sub_SpaceH)
		w = __EVAL(FCM_SubBackW)
		h = __EVAL(FCM_SubBackH)
	};
	
	class Right_SubBackground : Left_SubBackground
	{
		idc = 6
		x = __EVAL(FCM_Background_X + FCM_Edge_SpaceW + FCM_Sub_SpaceW + FCM_SubBackW)
	};
	
	
#define SubColour_AnimFrame(CLASS, INHERIT, IDC, R, G, B, A) \
class CLASS : INHERIT \
{ \
	idc = IDC; \
	colorBackground[]={R, G, B, A}; \
};
// Gradient from 
// Light Blue2	#AFDCEC
// to
// Steel Blue1	#5CB3FF

	SubColour_AnimFrame(Left_Sub1, Left_SubBackground, 1, 0.6549,0.8471,0.9333,0.56)
	SubColour_AnimFrame(Left_Sub2, Left_SubBackground, 2, 0.5882,0.8118,0.9490,0.62)
	SubColour_AnimFrame(Left_Sub3, Left_SubBackground, 3, 0.5255,0.7804,0.9608,0.68)
	SubColour_AnimFrame(Left_Sub4, Left_SubBackground, 4, 0.5255,0.7804,0.9608,0.74)
	SubColour_AnimFrame(Left_Sub5, Left_SubBackground, 5, 0.3961,0.7176,0.9961,0.8)	

	SubColour_AnimFrame(Right_Sub1, Right_SubBackground, 7, 0.6549,0.8471,0.9333,0.56)
	SubColour_AnimFrame(Right_Sub2, Right_SubBackground, 8, 0.5882,0.8118,0.9490,0.62)
	SubColour_AnimFrame(Right_Sub3, Right_SubBackground, 9, 0.5255,0.7804,0.9608,0.68)
	SubColour_AnimFrame(Right_Sub4, Right_SubBackground,10, 0.5255,0.7804,0.9608,0.74)
	SubColour_AnimFrame(Right_Sub5, Right_SubBackground,11, 0.3961,0.7176,0.9961,0.8)

	
	/* lighter
	SubColour_AnimFrame(Left_Sub1, 1, 0.7255,0.9020,0.9647,0.5)
	SubColour_AnimFrame(Left_Sub2, 2, 0.7647,0.9412,1,0.52)
	SubColour_AnimFrame(Left_Sub3, 3, 0.8039,0.9804,1,0.54)
	SubColour_AnimFrame(Left_Sub4, 4, 0.8431,1,1,0.56)
	SubColour_AnimFrame(Left_Sub5, 5, 0.8824,1,1,0.58)
	*/
	
	/*
	SubColour_AnimFrame(Left_Sub1, 1, 0.6471,0.8235,0.8863,0.6)
	SubColour_AnimFrame(Left_Sub2, 2, 0.6078,0.7843,0.8471,0.7)
	SubColour_AnimFrame(Left_Sub3, 3, 0.5686,0.7451,0.8078,0.8)
	SubColour_AnimFrame(Left_Sub4, 4, 0.5294,0.7059,0.7686,0.9)
	SubColour_AnimFrame(Left_Sub5, 5, 0.4902,0.6667,0.7294,1.0)
	*/
	

		// Save background coordinates to a file
		#ifdef FCM_SAVE_COORDS
			fcm_save2 = __EVAL(loadFile Format[":file qwrite fcm_dialog.db back %1",[FCM_Background_X - 0.005,  FCM_Background_Y - 0.007,  FCM_TotalWidth + 0.013,  FCM_TotalHeight + 0.015]])
			fcm_save3 = __EVAL(loadFile Format[":file qwrite fcm_dialog.db subback %1", [FCM_Background_X + FCM_Edge_SpaceW, FCM_Background_Y + FCM_Edge_SpaceH + FCM_TopSubHeight + FCM_Sub_SpaceH,  FCM_SubBackW,  FCM_SubBackH, FCM_Background_X + FCM_Edge_SpaceW + FCM_Sub_SpaceW + FCM_SubBackW]])
		#endif
	
	
	
	// Rest of the code in external files:
#include "FlashpointCutsceneMaker\hpp\Buttons.hpp"
#include "FlashpointCutsceneMaker\hpp\SubBackground.hpp"
#include "FlashpointCutsceneMaker\hpp\MagicMenu.hpp"
#include "FlashpointCutsceneMaker\hpp\UpperMenu.hpp"










// ************* OTHER PARTS *************************************************

/* Above main background there is also:
	- input for custom condition code
	- selected actor name
	- listbox (and it's background) with actors list
	- message field
*/

	// Actors - background and list
	// Set window width and height
	// On the left above class background
	#define FCM_ACTORLIST_W		0.15
	#define FCM_ACTORLIST_H		0.35
	#define FCM_ACTORNAME_H		FCM_Edge_SpaceH*3
	__EXEC(FCM_ACTORLIST_Y = FCM_Background_Y - FCM_ACTORLIST_H - FCM_Edge_SpaceH*2)

	
	class ActorListBackground : Background
	{
		idc = 300
		y = __EVAL(FCM_ACTORLIST_Y)
		w = FCM_ACTORLIST_W
		h = FCM_ACTORLIST_H
		//colorBackground[] = {0.1686,0.3765,0.8706,1};
	};
	
	class ActorList : fcmLISTBOX
	{
		idc = 301
		x = __EVAL(FCM_Background_X - 0.001)
		y = __EVAL(FCM_ACTORLIST_Y + 0.006)
		w = __EVAL(FCM_ACTORLIST_W - 0.01)
		h = __EVAL(FCM_ACTORLIST_H - 0.013)
	};
	
	class ActorName : fcmTXT
	{
		idc = 302
		style = 0 + 256;
		x = __EVAL(FCM_Background_X - 0.001)
		y = __EVAL(FCM_ACTORLIST_Y + FCM_ACTORLIST_H - FCM_ACTORNAME_H)
		w = __EVAL(FCM_TotalWidth - FCM_ACTORLIST_W)
		h = __EVAL(FCM_ACTORNAME_H)		//z size of a sub-background single cell
		sizeEx = __EVAL(FCM_ACTORNAME_H - 0.005)
		//colorBackground[] = {red, 0.5};
	};
	
	
	
	
	
	// Custom condition code input
	#define FCM_CUSTOM_W	0.3
	
	class CustomBackground : Background
	{
		idc = 310
		x = __EVAL(FCM_Background_X - 0.005 + FCM_TotalWidth + 0.013 - FCM_CUSTOM_W)
		y = __EVAL(FCM_ACTORLIST_Y + FCM_ACTORLIST_H - FCM_ACTORNAME_H)
		w = __EVAL(FCM_CUSTOM_W)
		h = __EVAL(FCM_ACTORNAME_H)
	};
	
	class CustomInput : fcmINPUT
	{
		idc = 311
		style = 1
		x = __EVAL(FCM_Background_X - 0.005 + FCM_TotalWidth + 0.013 - FCM_CUSTOM_W + 0.004)
		y = __EVAL(FCM_ACTORLIST_Y + FCM_ACTORLIST_H - FCM_ACTORNAME_H + 0.006)
		w = __EVAL(FCM_CUSTOM_W - 0.009)
		h = __EVAL(FCM_ACTORNAME_H - 0.013)
	};
	
	
	
	
	
	// Rotation degrees input
	#define FCM_ROTATE_H	FCM_ACTORNAME_H
	#define FCM_ROTATE_W	0.1
	#define FCM_ROTATE_X	FCM_Background_X - 0.005 + FCM_TotalWidth + 0.013 - FCM_CUSTOM_W - FCM_ROTATE_W
	#define FCM_ROTATE_Y	FCM_ACTORLIST_Y + FCM_ACTORLIST_H - FCM_ACTORNAME_H
	
	class RotateBackground : Background
	{
		idc = 312
		x = __EVAL(FCM_ROTATE_X)
		y = __EVAL(FCM_ROTATE_Y)
		w = __EVAL(FCM_ROTATE_W)
		h = __EVAL(FCM_ROTATE_H)
	};
	
	class RotateInput : fcmINPUT
	{
		idc = 313
		style = 1
		x = __EVAL(FCM_Background_X - 0.005 + FCM_TotalWidth + 0.013 - FCM_CUSTOM_W - FCM_ROTATE_W + 0.004)
		y = __EVAL(FCM_ACTORLIST_Y + FCM_ACTORLIST_H - FCM_ACTORNAME_H + 0.006)
		w = __EVAL(FCM_ROTATE_W - 0.009)
		h = __EVAL(FCM_ACTORNAME_H - 0.013)
	};
	
	
	
	
		
		// Save custom code input background coordinates to a file
		#ifdef FCM_SAVE_COORDS
			fcm_save4 = __EVAL(loadFile Format[":file qwrite fcm_dialog.db custom %1",[FCM_Background_X - 0.005 + FCM_TotalWidth + 0.013 - FCM_CUSTOM_W, FCM_ACTORLIST_Y + FCM_ACTORLIST_H - FCM_ACTORNAME_H, FCM_CUSTOM_W, FCM_ACTORNAME_H]])	
//			fcm_save4 = __EVAL(loadFile Format[":file qwrite fcm_dialog.db custom %1",[FCM_Background_X - 0.005 + FCM_TotalWidth + 0.013 - FCM_CUSTOM_W, FCM_ACTORLIST_Y + FCM_ACTORLIST_H - FCM_ACTORNAME_H, FCM_CUSTOM_W, FCM_ACTORNAME_H, FCM_ROTATE_X, FCM_ROTATE_Y, FCM_ROTATE_W, FCM_ROTATE_H]])	
		#endif
	
	#define FCM_MESSAGES_HEIGHT 0.02*10
	#define FCM_MESSAGES_COLOR	lightgoldyell
	
	class Message : fcmTXT
	{
		idc = 320
		style = 1 + 16 + 256
		x = __EVAL(FCM_Background_X - 0.005 + FCM_TotalWidth + 0.013 - FCM_CUSTOM_W + 0.004)
		y = __EVAL(FCM_ACTORLIST_Y + FCM_ACTORLIST_H - FCM_ACTORNAME_H + 0.006 - FCM_MESSAGES_HEIGHT)
		w = __EVAL(FCM_CUSTOM_W - 0.009)
		h = FCM_MESSAGES_HEIGHT
		sizeEx = 0.018
		colorText[]={FCM_MESSAGES_COLOR,1};
	};
	
	#define FCM_MESSAGE(ID,ALPHA) class Message##ID : Message {idc=320+ID; style=1+16; colorText[]={FCM_MESSAGES_COLOR,ALPHA};};
	FCM_MESSAGE(1, 0.9)
	FCM_MESSAGE(2, 0.8)
	FCM_MESSAGE(3, 0.7)
	FCM_MESSAGE(4, 0.6)
	FCM_MESSAGE(5, 0.5)
	FCM_MESSAGE(6, 0.4)
	FCM_MESSAGE(7, 0.3)
	FCM_MESSAGE(8, 0.2)
	FCM_MESSAGE(9, 0.1)

	
	__EXEC(FCM_HELP_W = 0.3)
	__EXEC(FCM_HELP_H = 0.1)
	
	class Help : fcmTXT
	{
		idc = 350
		style = 1 + 16
		x = __EVAL(0.999 - FCM_HELP_W)
		y = __EVAL(FCM_ACTORLIST_Y + FCM_ACTORLIST_H - FCM_ACTORNAME_H + 0.006 - FCM_MESSAGES_HEIGHT - FCM_HELP_H)
		w = __EVAL(FCM_HELP_W)
		h = __EVAL(FCM_HELP_H)
		sizeEx = 0.018
	};
	
	
	
	
	class Debug : fcmTXT
	{
		x = 0
		y = 0
		w = 1
		h = 0.6
		style = 16
		idc = 666
	};
};




// Other dialogs defined in separate files
#include "FlashpointCutsceneMaker\hpp\FileManager.hpp"
#include "FlashpointCutsceneMaker\hpp\Export.hpp"
#include "FlashpointCutsceneMaker\hpp\Options.hpp"







//****************INFO DIALOG************************************

class FCM_Help
{
	idd = 0;
	movingEnable = 1;
	controls[] = {};
	controlsBackground[]=
	{
		Background, 
		Frame, 
		Exit,
		Text1, 
		Text2,
	};
	
	__EXEC(FCM_HELP_W = 1);
	__EXEC(FCM_HELP_H = 1);
	__EXEC(FCM_HELP_X = 1 - FCM_HELP_W);
	__EXEC(FCM_HELP_X = FCM_HELP_X / 2);
	__EXEC(FCM_HELP_Y = 1 - FCM_HELP_H);
	__EXEC(FCM_HELP_Y = FCM_HELP_Y / 2);

	class Background : fcmTXT
	{
		idc = 326371
		colorBackground[]={black, 0.75};
		x = __EVAL(FCM_HELP_X)
		y = __EVAL(FCM_HELP_Y)
		w = __EVAL(FCM_HELP_W)
		h = __EVAL(FCM_HELP_H)
	};
	
	class Frame : Background
	{
		idc = 326372
		style = 64;
		colorText[] = {white, 1};
		text = "Controls"
	};
	
	class Text1 : fcmTXT
	{
		idc = 0
		style = 1 + 16 + 256;
		x = __EVAL(FCM_HELP_X)
		y = __EVAL(FCM_HELP_Y + 0.02)
		w = __EVAL(-0.02 + FCM_HELP_W / 2)
		h = __EVAL(FCM_HELP_H)
		sizeEx = 0.025
		lineSpacing = 1.25
		colorText[]={0.9804,0.9725,0.8000, 1};
		colorBackground[] = {red, 0};
	};
	
	class Text2 : Text1
	{
		idc = 1
		style = 0 + 16 + 256;
		x = __EVAL(FCM_HELP_X + FCM_HELP_W / 2);
		colorText[]={white2, 1};
	};

	class Exit : fcmBUT
	{
		__EXEC(FCM_HELP_BUT_W = FCM_HELP_W / 3);
		__EXEC(FCM_HELP_BUT_H = 0.05);
		
		idc = 10
		x = __EVAL((1 - FCM_HELP_BUT_W) / 2)
		y = __EVAL(FCM_HELP_Y + FCM_HELP_H - FCM_HELP_BUT_H * 1.5)
		w = __EVAL(FCM_HELP_BUT_W)
		h = __EVAL(FCM_HELP_BUT_H)
		sizeEx = __EVAL(FCM_HELP_BUT_H - 0.005)
		text = "Exit";
		action = "closeDialog 1";
	};
};