// ************* TOP SUB-BACKGROUND CONTENTS *********************************	

// Icon class template
// class name, x offset, image path, idc number
#define FCM_Icon(CLASS, MODIFX, IMG, IDC) \
	class CLASS : fcmIMG \
	{ \
		x = __EVAL(FCM_IconX + 0.0005 + MODIFX); \
		y = __EVAL(FCM_Background_Y + 0.0105*1.3571); \
		w = __EVAL(FCM_TopSubHeight); \
		h = __EVAL(FCM_TopSubHeight); \
		text = IMG; \
		idc = IDC; \
		a = __EVAL(loadFile Format[":file awrite fcm_dialog.db but_x %1",[FCM_IconX + 0.0005 + MODIFX]]); \
		b = __EVAL(loadFile Format[":file awrite fcm_dialog.db but_idc %1",[IDC]]); \
		__EXEC(FCM_IconX = FCM_IconX + FCM_TopSubHeight + FCM_IconSpace2); \
	}; 
	
/* debug extra part
	class CLASS##2 : CLASS \
	{ \
		idc = -1; \
		style = 0; \
		colorBackground[] = {red, 0}; \
		text = ; \
	}; \
*/

// Custom data -------------------------------------
// Number of icons
__EXEC(FCM_IconNumber = 9)		
	
// Define horizontal space for icons
__EXEC(FCM_IconStart = FCM_Background_X + FCM_Edge_SpaceW + 0.003)
__EXEC(FCM_IconEnd = FCM_IconStart + FCM_TotalWidth - FCM_Edge_SpaceW*2 - 0.008)
// End of custom data ------------------------------



// Calculate number of spaces between icons
__EXEC(FCM_IconSpaceNumber = FCM_IconNumber - 1)

// Calculate width of space between icons
__EXEC(FCM_IconSpace2 = FCM_IconEnd - FCM_IconStart)						// total width
__EXEC(FCM_IconSpace2 = FCM_IconSpace2 - FCM_IconNumber*FCM_TopSubHeight)	// width minus width of all icons
__EXEC(FCM_IconSpace2 = FCM_IconSpace2 / FCM_IconSpaceNumber)				// space that's left is divided by number of spaces

// Icon position var - used for iteration	
__EXEC(FCM_IconX = FCM_IconStart)




// Defining icons
// class name, x offset, image path, idc number
FCM_Icon(Home, 0, "..\FlashpointCutsceneMaker\paa\01_home.paa", 20)
FCM_Icon(Prev, 0, "..\FlashpointCutsceneMaker\paa\02_prev.paa", 21)
/*FCM_Icon(Rota, FCM_IconSpace2/2,  ,22)
FCM_Icon(Play1, FCM_IconSpace2, "..\FlashpointCutsceneMaker\paa\04_play.paa", 23)		// move right closer to center
FCM_Icon(Play2, 0, "..\FlashpointCutsceneMaker\paa\04_play.paa", 24)
FCM_Icon(Play3, -FCM_IconSpace2, "..\FlashpointCutsceneMaker\paa\04_play.paa", 25)		// move left closer to center

FCM_Icon(Hour, -FCM_IconSpace2/2, ,26)													// move left to middle between play and next
FCM_Icon(Next, 0, "..\FlashpointCutsceneMaker\paa\05_next.paa", 27)
FCM_Icon(End, 0, "..\FlashpointCutsceneMaker\paa\06_end.paa", 28)*/

	// no icon here, skip
	__EXEC(FCM_IconX = FCM_IconX + FCM_TopSubHeight + FCM_IconSpace2)			

FCM_Icon(Play1, FCM_IconSpace2, "..\FlashpointCutsceneMaker\paa\03_play.paa", 22)		// move right closer to center
FCM_Icon(Play2, 0, "..\FlashpointCutsceneMaker\paa\03_play.paa", 23)
FCM_Icon(Play3, -FCM_IconSpace2, "..\FlashpointCutsceneMaker\paa\03_play.paa", 24)		// move left closer to center
FCM_Icon(Hour, -FCM_IconSpace2/2, ,25)													// move left to middle between play and next
FCM_Icon(Next, 0, "..\FlashpointCutsceneMaker\paa\04_next.paa", 26)
FCM_Icon(End, 0, "..\FlashpointCutsceneMaker\paa\05_end.paa", 27)
	



// Template for text title in the lower right corner of the icon
// class name, class that's inherited, image path
#define FCM_IconText(CLASS, INHERIT, IMG) \
	class CLASS : INHERIT \
	{ \
		y = __EVAL(FCM_Background_Y + 0.0105*1.3571 + (FCM_TopSubHeight / 4)*3); \
		h = __EVAL(FCM_TopSubHeight / 4); \
		text = IMG; \
		idc = -1; \
	};

// Definitions
FCM_IconText(PlayThis, Play1, "..\FlashpointCutsceneMaker\paa\Text_THIS.paa")
FCM_IconText(PlayEnd, Play2, "..\FlashpointCutsceneMaker\paa\Text_END.paa")
FCM_IconText(PlayAll, Play3, "..\FlashpointCutsceneMaker\paa\Text_ALL.paa")




/* Saving buttons coordinates to a file.
Copy this to FCM_Icon macro: 

	a = __EVAL(loadFile Format[":file awrite fcm_dialog.db but_x %1",[FCM_IconX + 0.0005 + MODIFX]]); \
	b = __EVAL(loadFile Format[":file awrite fcm_dialog.db but_idc %1",[IDC]]); \

*/

	#ifdef FCM_SAVE_COORDS
		fcm_save5 = __EVAL(loadFile Format[":file write fcm_dialog.db but_ywh %1",[FCM_Background_Y + 0.0105*1.3571, FCM_TopSubHeight]])
	#endif


// ************* END OF TOP SUB-BACKGROUND CONTENTS **************************