
	// Export Options dialog
class FCM_export
{
	idd = 0;
	movingEnable = 1;
	controls[] = {};
	controlsBackground[]=
	{
		Hidden, 
		Background,
		filename, filename_input, camvar, camvar_input, camvar_error,
		option1, option1_button,
		option2, option2_button,
		option3, option3_button,
		option4, option4_button,
		Button1, Button2,
		Progress, HitEsc
	};
	
	class Hidden : fcmTXT {x=0; y=-0.01; w=0.01; h=0.01; idc=1666004;};
	

// Define number of elements
__EXEC(FCM_export_ELEMENTS = 8)

// Define size of space between sections
__EXEC(FCM_export_sectionspace = 0.03)

// Calculate dialog height
__EXEC(FCM_export_H = FCM_Edge_SpaceH*2  +  FCM_export_ELEMENTS*FCM_LineHeight  +  FCM_CellSub_SpaceH*5   +  FCM_export_sectionspace*3  +  FCM_fileman_buttonH);

// Define dialog width
__EXEC(FCM_export_W = FCM_fileman_W)

// Calculate dialog position
__EXEC(FCM_export_X = 1 - FCM_export_W) 
__EXEC(FCM_export_X = FCM_export_X / 2) 
__EXEC(FCM_export_Y = 1 - FCM_export_H - 0.1)
__EXEC(FCM_export_Y = FCM_export_Y / 2)

	class Background : fcmTXT
	{
		idc = 1
		style = 80
		x = __EVAL(FCM_export_X)
		y = __EVAL(FCM_export_Y)
		w = __EVAL(FCM_export_W)
		h = __EVAL(FCM_export_H)
		colorBackground[] = {darkblue, 1};
	};
	
	
	
	
	
	
// Define X & Y var for placing elements
__EXEC(FCM_export_XPOS = FCM_export_X + FCM_Edge_SpaceW)
__EXEC(FCM_export_YPOS = FCM_export_Y + FCM_Edge_SpaceH)


// Template for text with input field under it
#define FCM_export_TXTINPUT(CLASS, IDC, TEXT) \
	class CLASS : fcmTXT \
	{ \
		idc = IDC; \
		style = 256; \
		x = __EVAL(FCM_export_XPOS); \
		y = __EVAL(FCM_export_YPOS); \
		w = __EVAL(FCM_export_W - FCM_Edge_SpaceW*2); \
		h = __EVAL(FCM_LineHeight); \
		sizeEx = __EVAL(FCM_LineHeight - 0.005); \
		text = TEXT; \
		colorText[]={lightgoldyell,1};  \
	}; \
	__EXEC(FCM_export_YPOS = FCM_export_YPOS + FCM_LineHeight + FCM_CellSub_SpaceH); \
	class CLASS##_input : fcmINPUT \
	{ \
		idc = IDC + 1; \
		x = __EVAL(FCM_export_XPOS); \
		y = __EVAL(FCM_export_YPOS); \
		w = __EVAL(FCM_export_W - FCM_Edge_SpaceW*2); \
		h = __EVAL(FCM_LineHeight); \
		sizeEx = __EVAL(FCM_LineHeight - 0.005); \
		text = TEXT; \
	}; \
	__EXEC(FCM_export_YPOS = FCM_export_YPOS + FCM_LineHeight + FCM_export_sectionspace);
	
FCM_export_TXTINPUT(filename, 10, "Filename")
FCM_export_TXTINPUT(camvar, 12, "Camera Variable")

// Red error text in place of camvar
class camvar_error : camvar
{
	idc = 14
	style = 0
	colorText[]={red,1};
	text = "Incorrect variable name"
};


	
	

// Define size for link (active text)
#define FCM_export_linkW 0.035	
	
// Template for text with active link on the right
#define FCM_export_TXTBUTTON(CLASS, IDC, TEXT) \
	class CLASS : fcmTXT \
	{ \
		idc = IDC; \
		style = 256; \
		x = __EVAL(FCM_export_XPOS); \
		y = __EVAL(FCM_export_YPOS); \
		w = __EVAL(FCM_export_W - FCM_Edge_SpaceW*2 - FCM_export_linkW); \
		h = __EVAL(FCM_LineHeight); \
		sizeEx = __EVAL(FCM_LineHeight - 0.005); \
		text = TEXT; \
		colorText[]={lightgoldyell,1};  \
	}; \
	class CLASS##_button : fcmACTIVE \
	{ \
		idc = IDC + 1; \
		x = __EVAL(FCM_export_XPOS + FCM_export_W - FCM_Edge_SpaceW*2 - FCM_export_linkW); \
		y = __EVAL(FCM_export_YPOS); \
		w = __EVAL(FCM_export_linkW); \
		h = __EVAL(FCM_LineHeight); \
		sizeEx = __EVAL(FCM_LineHeight - 0.005); \
		text = YES; \
	}; \
	__EXEC(FCM_export_YPOS = FCM_export_YPOS + FCM_LineHeight + FCM_CellSub_SpaceH);

FCM_export_TXTBUTTON(option1, 20, "Show cinema border")
FCM_export_TXTBUTTON(option2, 22, "Disable radio")
FCM_export_TXTBUTTON(option3, 24, "Add to init.sqs")
FCM_export_TXTBUTTON(option4, 26, "Halt other operations")







// Replace last subspace with sectionspace
__EXEC(FCM_export_YPOS = FCM_export_YPOS - FCM_CellSub_SpaceH + FCM_export_sectionspace)

// Calculate button width
__EXEC(FCM_fileman_buttonW = FCM_export_W - FCM_Edge_SpaceW*2 - FCM_CellSub_SpaceW)
__EXEC(FCM_fileman_buttonW = FCM_fileman_buttonW / 2)


	// Button on the left: Save/Load
	class Button1 : fcmBUT
	{
		idc = 30
		x = __EVAL(FCM_export_XPOS)
		y = __EVAL(FCM_export_YPOS)
		w = __EVAL(FCM_fileman_buttonW)
		h = __EVAL(FCM_fileman_buttonH)
	};
	
	// Button on the right: Cancel
	class Button2 : Button1
	{
		idc = 31
		x = __EVAL(FCM_export_XPOS + FCM_fileman_buttonW + FCM_CellSub_SpaceW)
		y = __EVAL(FCM_export_YPOS)
		text = "Cancel"
		action = "closeDialog 0"
	};
	
	
	
	
	
	
	
	
	
	
// Text that is behind the background
// and not shown with it simultaneously.
// Displayed when saving/loading is in progress
#define FCM_FILEMAN_PROGRESS_H 0.04

	class Progress : fcmTXT
	{
		idc = 100
		style = 2 + 256
		x = 0
		y = __EVAL((1-FCM_FILEMAN_PROGRESS_H)/2)	// center on the screen
		w = 1
		h = FCM_FILEMAN_PROGRESS_H
		sizeEx = FCM_FILEMAN_PROGRESS_H - 0.005
	};
	
	class HitEsc : Progress
	{
		idc = 101
		y = __EVAL((1-FCM_FILEMAN_PROGRESS_H)/2 + FCM_FILEMAN_PROGRESS_H + FCM_CellSub_SpaceH)	// under the previous text
	};
};