
#define FCM_UPPER_Y 0
#define FCM_UPPER_H	FCM_TopSubHeight

class UpperBackground : Background
{
	idc = 330
	y = __EVAL(FCM_UPPER_Y - 0.007 - 0.036)
	h = __EVAL(FCM_Edge_SpaceH*2 + FCM_UPPER_H + 0.015 + 0.036)		// 0.036 to compensate for 5:4
};

// Customizable
__EXEC(FCM_UPPER_BUTTONS = 5)
__EXEC(FCM_UPPER_BUTTON_W = 0.08)

__EXEC(FCM_UPPER_SPACES = FCM_UPPER_BUTTONS - 1)
__EXEC(FCM_UPPER_BUTTON_TOTALW = FCM_UPPER_BUTTONS * FCM_UPPER_BUTTON_W + FCM_UPPER_SPACES * FCM_CellSub_SpaceW)
__EXEC(FCM_UPPER_TITLE_W = FCM_TotalWidth - FCM_Edge_SpaceW*2 - FCM_CellEdge_SpaceW - FCM_UPPER_BUTTON_TOTALW)

class UpperTitle : Top_SubBackground
{
		idc = 331
		y = __EVAL(FCM_UPPER_Y + FCM_Edge_SpaceH)
		w = __EVAL(FCM_UPPER_TITLE_W)
		h = __EVAL(FCM_UPPER_H)
		sizeEx = __EVAL(FCM_UPPER_H - 0.015);
		colorText[] = {lightblue2, 1};
		text = "Unnamed Project";
};

	// dummy text input behind upper title
	// to take focus away from buttons when user clicks on project title
class DummyInput : UpperTitle
{
	idc = 332
	type = 2
	autocomplete = "";
	colorText[] = {white, 0};
	colorSelection[] = {white, 0};
	sizeEx = 0;	
};

__EXEC(FCM_UPPER_BUTTON_BASE_X = FCM_Background_X + FCM_Edge_SpaceW + FCM_UPPER_TITLE_W + FCM_Edge_SpaceW)

#define FCM_UPPER_BUTTON(CLASS, IDC, TEXT, COLOR, ALPHA) \
	class CLASS : fcmBUT \
	{ \
		x = __EVAL(FCM_UPPER_BUTTON_BASE_X); \
		y = __EVAL(FCM_UPPER_Y + FCM_Edge_SpaceH); \
		w = __EVAL(FCM_UPPER_BUTTON_W); \
		h = __EVAL(FCM_UPPER_H); \
		text = TEXT; \
		idc = IDC; \
		sizeEx = 0.0225; \
	}; \
	class CLASS##_overlay : CLASS \
	{ \
		type=0; style=0; text=; \
		idc = IDC + 1; \
		x = __EVAL(FCM_UPPER_BUTTON_BASE_X + 0.0005); \
		y = __EVAL(FCM_UPPER_Y + FCM_Edge_SpaceH +0.001); \
		w = __EVAL(FCM_UPPER_BUTTON_W - 0.002); \
		h = __EVAL(FCM_UPPER_H - 0.002); \
		colorBackground[] = {COLOR, ALPHA}; \
	}; \
	__EXEC(FCM_UPPER_BUTTON_BASE_X = FCM_UPPER_BUTTON_BASE_X + FCM_UPPER_BUTTON_W + FCM_CellSub_SpaceW);


FCM_UPPER_BUTTON(UpperButton1, 333, "Options", lightblue2, 0.3)
FCM_UPPER_BUTTON(UpperButton2, 335, "Save", yellow2, 0.3)
FCM_UPPER_BUTTON(UpperButton3, 337, "Load", yellow2, 0.3)
FCM_UPPER_BUTTON(UpperButton4, 339, "Export", green2, 0.3)
FCM_UPPER_BUTTON(UpperButton5, 341, "Import", green2, 0.3)



		// Save backgroud and text title coordinates
		#ifdef FCM_SAVE_COORDS
			fcm_save10 = __EVAL(loadFile Format[":file qwrite fcm_dialog.db upper %1",[FCM_UPPER_Y - 0.007 - 0.036, FCM_Edge_SpaceH*2 + FCM_UPPER_H + 0.015 + 0.036, FCM_Background_X + FCM_Edge_SpaceW, FCM_UPPER_Y + FCM_Edge_SpaceH, FCM_UPPER_TITLE_W, FCM_UPPER_H,   FCM_Edge_SpaceW,FCM_UPPER_BUTTON_W,FCM_CellSub_SpaceW]])
		#endif
		
		