
/*
Function updates fov related dialog controls and camera
*/



	// Input variables:
private ["_move", "_state"];
_move = _this select 0;
_state = _this select 1;


	// Set idc number to left or right sub-background
_idc = 100;
if (_move==FCM_SCROLL+1) then {_idc=200};


	// Current fov type
_fov = (FCM_TYPE select _move) select 2;
_data = ["FOV",FCM_MOVE] call FCM_SQF_GETDATA;
FCM_CURRFOV = _data select 0;
FCM_CURRFOVDATA = _data select 1;




	// Set two arrays with idc numbers
_all = [_idc+30,_idc+31,_idc+33,_idc+34];
_toShow = [];

	
	
	
	// Inactive - show gray button and "no change"
if (_fov < 0) then {_toShow=_toShow+[_idc+31,_idc+34];};
	
	
	// Active
if (_fov > 0) then
{
	_toShow = _toShow + [_idc+30, _idc+33];		// show button and input
	ctrlSetText [_idc+33, Format["%1",FCM_FOV select _move]];	// current fov in input
};




	// If this move is currently active one (highlighted sub-background)
if (_move == FCM_MOVE) then
{
	// Commit camera
	FCM_CAM camSetFov FCM_CURRFOVDATA;
	FCM_CAM camCommit 0;
};


	// Show elements collected in the array
	"ctrlShow[_x, true]" forEach _toShow;
	
	// Hide those not collected
	"ctrlShow[_x, false]" forEach (_all - _toShow);

	