
/*
Function updates commit / condit / wait related dialog controls
*/



	// Input variables:
private ["_move", "_state"];
_move = _this select 0;
_state = _this select 1;


	// Set idc number to left or right sub-background
_idc = 100;
if (_move==FCM_SCROLL+1) then {_idc=200};


	// Set two arrays with idc numbers
_all = [_idc+41, _idc+42, 310, 311];
_toShow = [];

	
	
	// If first move
if (_move==0) then
{
	_toShow = _toShow + [_idc+42];		// show commit dummy text
}
else
{
	_toShow = _toShow + [_idc+41];		// show commit input
	ctrlSetText [_idc+41, Format ["%1", FCM_COMMIT select _move]];	// input field contents
};



	// Set condition type
_cond = (FCM_TYPE select _move) select 3;
lbSetCurSel [_idc+51, _cond];

	// Display custom condition code
if (_move==FCM_MOVE && _cond==1) then
{
	_toShow = _toShow + [310,311]; 						// show code input
	ctrlSetText [311, FCM_CONDITION select _move];		// input field contents
};

	// If previous move has custom code but this one doesn't then don't hide input
if (_move-1==FCM_MOVE && ctrlVisible 311) then {_toShow=_toShow+[310,311]};



	// Wait field contents
ctrlSetText [_idc+61, Format ["%1", FCM_WAIT select _move]];






	// Show elements collected in the array
	"ctrlShow[_x, true]" forEach _toShow;
	
	// Hide those not collected
	"ctrlShow[_x, false]" forEach (_all - _toShow);

	

	
	
	
	// Refresh rotation
//[_move, _state] call FCM_SQF_ROT;