
/*
Function updates position related dialog controls and camera
*/



	// Input variables:
private ["_move", "_state"];
_move = _this select 0;
_state = _this select 1;


	// Set idc number to left or right sub-background
_idc = 100;
if (_move==FCM_SCROLL+1) then {_idc=200};


	// Current position type
_pos = (FCM_TYPE select _move) select 1;
_data = ["Position",FCM_MOVE] call FCM_SQF_GETDATA;
FCM_CURRPOS = _data select 0;
FCM_CURRPOSDATA = _data select 1;





	// Set two arrays with idc numbers
_all = [_idc+20,_idc+21,_idc+22,_idc+23,_idc+24];
_toShow = [];

	
	
	
	// Inactive - show gray button and "no change"
if (_pos < 0) then {_toShow=_toShow+[_idc+21,_idc+24]};
	
	
	// Active
if (_pos > 0) then
{
	if (_move==0) then 					// if first move then show text instead of a button
	{
		_toShow = _toShow + [_idc+22];
	} else
	{
		_toShow = _toShow + [_idc+20];
	};	
	
	_toShow = _toShow + [_idc+23];		// show drop-down
	lbSetCurSel [_idc+23, _pos-1]		// set drop-down current row
};




	// If this move is currently active one (highlighted sub-background)
if (_move == FCM_MOVE) then
{
	// Commit camera
	if (FCM_CURRPOS == 1) then		
	{
		FCM_CAM camSetPos FCM_CURRPOSDATA;		// for absolute
		FCM_x = FCM_CURRPOSDATA select 0;			// update vars for camera.sqs
		FCM_y = FCM_CURRPOSDATA select 1;
		FCM_z = FCM_CURRPOSDATA select 2;
	} else										
	{
		FCM_CAM camSetRelPos FCM_CURRPOSDATA;	// for relative
		FCM_Rx = FCM_CURRPOSDATA select 0;			// update vars for camera.sqs
		FCM_Ry = FCM_CURRPOSDATA select 1;
		FCM_Rz = FCM_CURRPOSDATA select 2;		
	};
	FCM_CAM camCommit 0;
};


	// Show elements collected in the array
	"ctrlShow[_x, true]" forEach _toShow;
	
	// Hide those not collected
	"ctrlShow[_x, false]" forEach (_all - _toShow);

	