
	// Save / Load options dialog
class FCM_filemanager
{
	idd = 0;
	movingEnable = 1;
	controls[] = {};
	controlsBackground[]=
	{
		Hidden,
		
		Background, Overlay, Overlay2, ListBox, Input,
		Title, Moves, Mission, Author, Date, Version,
		TitleValue, MovesValue, MissionValue, AuthorValue, DateValue, VersionValue, VersionValueRed,
		Button1, Button2, Button3,
		
		Progress, HitEsc
	};
	
	class Hidden : fcmTXT {x=0; y=-0.01; w=0.01; h=0.01; idc=1666004;};
	
	
	

	// Define vars
__EXEC(FCM_fileman_list_W = 0.25)
__EXEC(FCM_fileman_list_H = FCM_fileman_list_W*1.35)
__EXEC(FCM_fileman_textNum = 6)
__EXEC(FCM_fileman_textSpc = FCM_fileman_textNum - 1)
__EXEC(FCM_fileman_buttonH = 0.04)
__EXEC(FCM_fileman_textH = 0.025)
__EXEC(FCM_fileman_inputH = 0.025)

// Calculate whole background width and height
__EXEC(FCM_fileman_H = FCM_fileman_list_H + FCM_Sub_SpaceH + FCM_fileman_textH*FCM_fileman_textNum + FCM_CellSub_SpaceH*FCM_fileman_textNum + FCM_Edge_SpaceH*2 + FCM_fileman_buttonH*2 + FCM_Edge_SpaceW + FCM_fileman_inputH)
__EXEC(FCM_fileman_W = FCM_fileman_list_W + FCM_Edge_SpaceW * 2)

// Calculate whole background position
// center x
__EXEC(FCM_fileman_X = 1 - FCM_fileman_W)
__EXEC(FCM_fileman_X = FCM_fileman_X / 2)
// y a little upward from center
__EXEC(FCM_fileman_Y = 1 - FCM_fileman_H - 0.1)
__EXEC(FCM_fileman_Y = FCM_fileman_Y / 2)

// X for elements with margin added
__EXEC(FCM_fileman_baseX = FCM_fileman_X + FCM_Edge_SpaceW)
// Y variable for placing elements one after another
__EXEC(FCM_fileman_baseY = FCM_fileman_Y + FCM_fileman_list_H + FCM_fileman_inputH + FCM_Sub_SpaceH)

	class Background : fcmTXT
	{
		idc = 1
		style = 80
		x = __EVAL(FCM_fileman_X)
		y = __EVAL(FCM_fileman_Y)
		w = __EVAL(FCM_fileman_W)
		h = __EVAL(FCM_fileman_H)
		colorBackground[] = {darkblue, 1};
	};
	
	class ListBox : fcmLISTBOX
	{
		idc = 2
		x = __EVAL(FCM_fileman_X + 0.004)
		y = __EVAL(FCM_fileman_Y + 0.005)
		w = __EVAL(FCM_fileman_W - 0.010)
		h = __EVAL(FCM_fileman_list_H)
		colorText[] = {white2, 1};
		colorSelect[] = {black, 0.8};
	};
	
	class Input : fcmINPUT
	{
		idc = 3
		x = __EVAL(FCM_fileman_X + 0.004)
		y = __EVAL(FCM_fileman_Y + 0.005 + FCM_fileman_list_H)
		w = __EVAL(FCM_fileman_W - 0.010)
		h = __EVAL(FCM_fileman_inputH)
	};
	
	class Overlay : ListBox
	{
		idc = 4
		type = 0
		style = 0
		colorBackground[] = {royalblue, 0.2};
	};
	
	class Overlay2 : Input
	{
		idc = 5
		type = 0
		style = 0
		colorBackground[] = {lightblue2, 0.1};
	};
	
	
	
	
	
// Text width and space after it
#define FCM_FILEMAN_TEXTW 0.06
#define FCM_FILEMAN_TEXTWSPC 0.001
	
// Template for text element
// First class is text on the left (category)
// Second class is text on the right (value)
#define FCM_FILEMAN_TEXT(CLASS, IDC) \
	class CLASS : fcmTXT \
	{ \
		idc = IDC; \
		style = 1 + 256; \
		x = __EVAL(FCM_fileman_baseX); \
		y = __EVAL(FCM_fileman_baseY); \
		w = FCM_FILEMAN_TEXTW; \
		h = __EVAL(FCM_fileman_textH); \
		sizeEx = __EVAL(FCM_fileman_textH - 0.005); \
		text = CLASS##: ; \
		colorText[]={lightgoldyell,1};  \
	}; \
	class CLASS##Value : CLASS \
	{ \
		idc = IDC + 1; \
		style = 0; \
		x = __EVAL(FCM_fileman_baseX + FCM_FILEMAN_TEXTW + FCM_FILEMAN_TEXTWSPC); \
		w = __EVAL(FCM_fileman_W - FCM_Edge_SpaceW*2 - FCM_FILEMAN_TEXTW - FCM_FILEMAN_TEXTWSPC); \
		text = ; \
		colorText[]={white,1};  \
	}; \
	__EXEC(FCM_fileman_baseY = FCM_fileman_baseY + FCM_fileman_textH + FCM_CellSub_SpaceH)
		

// Text elements definitions:
FCM_FILEMAN_TEXT(Title, 10)
FCM_FILEMAN_TEXT(Moves, 12)
FCM_FILEMAN_TEXT(Mission, 14)
FCM_FILEMAN_TEXT(Author, 16)
FCM_FILEMAN_TEXT(Date, 18)
FCM_FILEMAN_TEXT(Version, 20)

	class VersionValueRed : VersionValue
	{
		idc = 22
		colorText[]={red,1};
	};

// Calculate button width
__EXEC(FCM_fileman_buttonW = FCM_fileman_W - FCM_Edge_SpaceW*2 - FCM_CellSub_SpaceW)
__EXEC(FCM_fileman_buttonW = FCM_fileman_buttonW / 2)

// Add space after texts
__EXEC(FCM_fileman_baseY = FCM_fileman_baseY + FCM_Edge_SpaceH)

	// Button on the left: Save/Load
	class Button1 : fcmBUT
	{
		idc = 30
		x = __EVAL(FCM_fileman_baseX)
		y = __EVAL(FCM_fileman_baseY)
		w = __EVAL(FCM_fileman_buttonW)
		h = __EVAL(FCM_fileman_buttonH)
		text = ""
		action = "ctrlSetText [1666004,{a}]"
	};
	
	// Button on the right: Cancel
	class Button2 : fcmBUT
	{
		idc = 31
		x = __EVAL(FCM_fileman_baseX + FCM_fileman_buttonW + FCM_CellSub_SpaceW)
		y = __EVAL(FCM_fileman_baseY)
		w = __EVAL(FCM_fileman_buttonW)
		h = __EVAL(FCM_fileman_buttonH)
		text = "Cancel"
		action = "closeDialog 0"
	};
	
	// Button on the bottom: Load old save
	class Button3 : fcmBUT
	{
		idc = 32
		x = __EVAL(FCM_fileman_baseX)
		y = __EVAL(FCM_fileman_baseY + FCM_fileman_buttonH + FCM_Edge_SpaceW)
		w = __EVAL(FCM_fileman_W - FCM_Edge_SpaceW*2)
		h = __EVAL(FCM_fileman_buttonH)
		text = "Load old save"
		action = "FCM_OLD_SAVE=!FCM_OLD_SAVE";
	};
	
	
// Text that is behind the background
// and not shown with it simultaneously.
// Displayed when saving/loading is in progress
#define FCM_FILEMAN_PROGRESS_H 0.04

	class Progress : fcmTXT
	{
		idc = 100
		style = 2 + 256
		x = 0
		y = __EVAL((1-FCM_FILEMAN_PROGRESS_H)/2)	// center on the screen
		w = 1
		h = FCM_FILEMAN_PROGRESS_H
		sizeEx = FCM_FILEMAN_PROGRESS_H - 0.005
	};
	
	class HitEsc : Progress
	{
		idc = 101
		y = __EVAL((1-FCM_FILEMAN_PROGRESS_H)/2 + FCM_FILEMAN_PROGRESS_H + FCM_CellSub_SpaceH)	// under the previous text
	};
};