
	// Export Options dialog
class FCM_options
{
	idd = 0;
	movingEnable = 1;
	controls[] = {};
	controlsBackground[]=
	{
		Hidden, Hidden2, 
		Background,
		option1, option1_disabled, option1_enabled,
		option2, option2_disabled, option2_enabled,
		option3, option3_disabled, option3_enabled,
		option4, option4_disabled, option4_enabled,
		option5, option5_disabled, option5_enabled,
		option6, option6_disabled, option6_enabled,
		option7, option7_disabled, option7_enabled,
		Button,
		Version
	};
	
	class Hidden : fcmTXT {x=0; y=-0.01; w=0.01; h=0.01; idc=1666004;};
	class Hidden2 : fcmTXT {x=0; y=-0.01; w=0.01; h=0.01; idc=1666005;};
	
	
// Define number of elements
__EXEC(FCM_options_ELEMENTS = 7)	
__EXEC(FCM_options_SPACES = FCM_options_ELEMENTS - 1)


// Calculate dialog height
__EXEC(FCM_options_H = FCM_Edge_SpaceH*2  +  FCM_options_ELEMENTS*FCM_LineHeight  +  FCM_CellSub_SpaceH*FCM_options_SPACES   +  FCM_export_sectionspace  +  FCM_fileman_buttonH + FCM_LineHeight + FCM_CellSub_SpaceH);

// Define dialog width
__EXEC(FCM_options_W = 0.4)

// Calculate dialog position
__EXEC(FCM_options_X = 1 - FCM_options_W) 
__EXEC(FCM_options_X = FCM_options_X / 2) 
__EXEC(FCM_options_Y = FCM_export_Y)


	class Background : fcmTXT
	{
		idc = 1
		style = 80
		x = __EVAL(FCM_options_X)
		y = __EVAL(FCM_options_Y)
		w = __EVAL(FCM_options_W)
		h = __EVAL(FCM_options_H)
		colorBackground[] = {darkblue, 1};
	};
	
	
// Define X & Y var for placing elements
__EXEC(FCM_options_XPOS = FCM_options_X + FCM_Edge_SpaceW)
__EXEC(FCM_options_YPOS = FCM_options_Y + FCM_Edge_SpaceH)


// Define size for link (active text)
#define FCM_options_linkW 0.06	
#define FCM_options_linkOFFSET 0.01
	
// Template for text with two active links on the right
#define FCM_options_TXTBUTTON(CLASS, IDC, TEXT) \
	class CLASS : fcmTXT \
	{ \
		idc = IDC; \
		style = 256; \
		x = __EVAL(FCM_options_XPOS); \
		y = __EVAL(FCM_options_YPOS); \
		w = __EVAL(FCM_options_W - FCM_Edge_SpaceW*2 - FCM_options_linkW*2 + FCM_options_linkOFFSET); \
		h = __EVAL(FCM_LineHeight); \
		sizeEx = __EVAL(FCM_LineHeight - 0.005); \
		text = TEXT; \
		colorText[]={lightgoldyell,1};  \
		colorBackground[]={darkblue,0.026};  \
	}; \
	class CLASS##_disabled : fcmActive \
	{ \
		idc = IDC + 1; \
		style = 1; \
		x = __EVAL(FCM_options_XPOS + FCM_options_W - FCM_Edge_SpaceW*2 - FCM_options_linkW*2 + FCM_options_linkOFFSET); \
		y = __EVAL(FCM_options_YPOS); \
		w = __EVAL(FCM_options_linkW); \
		h = __EVAL(FCM_LineHeight); \
		sizeEx = __EVAL(FCM_LineHeight - 0.005); \
		text = Disabled; \
	}; \
	class CLASS##_enabled : CLASS##_disabled \
	{ \
		idc = IDC + 2; \
		style = 0; \
		x = __EVAL(FCM_options_XPOS + FCM_options_W - FCM_Edge_SpaceW*2 - FCM_options_linkW + FCM_options_linkOFFSET); \
		text = Enabled; \
	}; \
	__EXEC(FCM_options_YPOS = FCM_options_YPOS + FCM_LineHeight + FCM_CellSub_SpaceH);
	
	
FCM_options_TXTBUTTON(option1, 10, "Check version on-line")
FCM_options_TXTBUTTON(option2, 13, "Auto save on quit")
FCM_options_TXTBUTTON(option3, 16, "Auto load last project")
FCM_options_TXTBUTTON(option4, 19, "Auto play auto loaded project")
FCM_options_TXTBUTTON(option5, 22, "Help text")

__EXEC(FCM_options_YPOS = FCM_options_YPOS + FCM_LineHeight + FCM_CellSub_SpaceH);

FCM_options_TXTBUTTON(option6, 25, "Set ""No Change"" for new moves")
FCM_options_TXTBUTTON(option7, 28, "Clear comment for new/pasted moves")







// Replace last subspace with sectionspace
__EXEC(FCM_options_YPOS = FCM_options_YPOS - FCM_CellSub_SpaceH + FCM_export_sectionspace)

// Calculate button position
__EXEC(FCM_options_buttonX = 1 - FCM_fileman_buttonW)
__EXEC(FCM_options_buttonX = FCM_options_buttonX / 2)


	// Button in the middle
	class Button : fcmBUT
	{
		idc = 30
		x = __EVAL(FCM_options_buttonX)
		y = __EVAL(FCM_options_YPOS)
		w = __EVAL(FCM_fileman_buttonW)
		h = __EVAL(FCM_fileman_buttonH)
		action = "closeDialog 0"
		text = "Exit"
	};
	
	
	// Script version
	#define FCM_OPT_VER_W 0.05
	#define FCM_OPT_VER_H 0.03
	class Version : fcmTXT
	{
		idc = 31
		style = 1
		x = __EVAL(FCM_options_X + FCM_options_W - FCM_OPT_VER_W)
		y = __EVAL(FCM_options_Y + FCM_options_H - FCM_OPT_VER_H - 0.0025)
		w = FCM_OPT_VER_W
		h = FCM_OPT_VER_H
		sizeEx = FCM_OPT_VER_H
		colorText[]={darkblue,0.3};
		text = FCM_VERSION
	};
	
};