
/*
Function changes commit / condit / wait variables according to user manipulation
*/



	// Set idc number to left or right sub-background
private ["_move", "_state", "_control", "_idc"];
_move = _this select 0;
_state = _this select 1;
_control = _this select 2;


	// Set idc number to left or right sub-background
_idc = 100;
if (_move==FCM_SCROLL+1) then {_idc=200};


	// If user changed commit/wait/rotate number
//if (_state=="Input" && _control in ["Commit","Wait","Rotate"]) then
	// If user changed commit/wait number
if (_state=="Input" && _control in ["Commit","Wait"]) then
{
	_current = "";

	if (_control=="Commit") then
	{
		if (!FCM_MOUSEONBACKGROUND) then
		{
			ctrlSetText [_idc+41,_commitTXT];		// revert
		} else
		{
			_commitTXT = ctrlText (_idc+41);		// get current commit
			_current = _commitTXT;
		};
	};
	
	if (_control=="Wait") then
	{
		if (!FCM_MOUSEONBACKGROUND) then
		{
			ctrlSetText [_idc+61,_waitTXT];		// revert
		} else
		{
			_waitTXT = ctrlText (_idc+61);			// get current wait
			_current = _waitTXT;
		};
	};
	
	if (_control=="Rotate") then
	{
		if (!FCM_MOUSEONBACKGROUND) then
		{
			ctrlSetText [313,_rotTXT];		// revert
		} else
		{
			_rotTXT = ctrlText 313;			// get current wait
			_current = _rotTXT;
		};
	};
	
	// Check if user input is a number
	_value = loadFile format ["\:STRING ISNUMBER  text:%1", _current];
	if (_value != "string") then
	{
		// Check if number is within range
		_value = call _current;
		if (_control in ["Commit","Wait"]  &&  _value >= 0) then
		{
			if (_control=="Commit") then
			{
				FCM_COMMIT set [_move, _value];		// update commit var
//				[_move,_state] call FCM_SQF_OTHER;
			} else
			{
				FCM_WAIT set [_move, _value];		// update wait var
			};
		};
		
		if (_control == "Rotate") then {FCM_ROTATE set [_move, _value]};		// update degrees var
	};
};



	// If user changed custom condition code
if (_state=="Input" && _control=="Condition") then
{
	if 
	( 
		!FCM_MOUSEONBACKGROUND	// cursor not on main background and not on input
	) then 
	{
		ctrlSetText [311,_condTXT]		// revert
	} else 
	{
		if (call (loadFile format ["\:STRING ISEMPTY %1",_condTXT])) then {_condTXT = ""};	// remove whitespace from empty string
		_condTXT = ctrlText 311;					// overwrite
		FCM_CONDITION set [_move, _condTXT];		
	};
};



	// If user changed condition type
if (_state=="DropDown") then
{
	//_type = FCM_TYPE select _move;
	_type = [(FCM_TYPE select _move) select 0,(FCM_TYPE select _move) select 1,(FCM_TYPE select _move) select 2,(FCM_TYPE select _move) select 3];
//	_type = [(FCM_TYPE select _move) select 0,(FCM_TYPE select _move) select 1,(FCM_TYPE select _move) select 2,(FCM_TYPE select _move) select 3,(FCM_TYPE select _move) select 4];
	_type set [3, lbCurSel (_idc+51)];
	FCM_TYPE set [_move, _type];
	
	// Refresh dialog
	[_move,_state] call FCM_SQF_OTHER;
};



	// If user clicked on rotation button
if (_state=="Button") then
{
	_type = [(FCM_TYPE select _move) select 0,(FCM_TYPE select _move) select 1,(FCM_TYPE select _move) select 2,(FCM_TYPE select _move) select 3,(FCM_TYPE select _move) select 4];
	_type set [4, (_type select 4)*-1];
	FCM_TYPE set [_move, _type];
	
	// Refresh dialog
	[_move,_state] call FCM_SQF_ROT;
};