
/*
Function updates rotation related dialog controls
*/



	// Input variables:
private ["_move", "_state", "_idc", "_all", "_toShow"];
_move = _this select 0;
_state = _this select 1;


	// Set idc number to left or right sub-background
_idc = 100;
if (_move==FCM_SCROLL+1) then {_idc=200};


	// Set two arrays with idc numbers
_all = [22, 312, 313];
_toShow = [];



	// Rotate button
	// Current move and not first one and commit more than zero and position is enabled
if (FCM_MOVE==_move  &&  _move!=0  &&  (FCM_COMMIT select _move)>0  &&  (FCM_TYPE select _move) select 1>0) then
{
	_toShow = _toShow + [22];		// show button
	
	if ((FCM_TYPE select _move) select 4==1) then		// enabled
	{
		ctrlSetText [22, "..\FlashpointCutsceneMaker\paa\03_rotate_pressed.paa"];	// show pressed button
		_toShow = _toShow + [312, 313];												// show rotation input
		_rotate = FCM_ROTATE select _move;
		
		// if rotation value is zero then convert current pos to degrees
		if (_rotate==0) then 
		{
			_rotate = (_move-1) call preProcessFile "..\FlashpointCutsceneMaker\sqf\Rotation_findDegrees.sqf";
			FCM_ROTATE set [_move,_rotate]
		};
		
		ctrlSetText [313, format ["%1", FCM_ROTATE select _move]];					// input field contents
	}
	else		// disabled
	{
		ctrlSetText [22, "..\FlashpointCutsceneMaker\paa\03_rotate.paa"]
	};
};

	// If previous move had rotation but this one doesn't then don't hide input
if (_move-1==FCM_MOVE && ctrlVisible 312) then {_toShow=_toShow+[22,312,313]};







	// Show elements collected in the array
	"ctrlShow[_x, true]" forEach _toShow;
	
	// Hide those not collected
	"ctrlShow[_x, false]" forEach (_all - _toShow);