
/*
Function can return last active:
 - target type and pos/obj
 - position type and pos
 - fov type and value

Input: 
	0 - kind of data (string)
	1 - move (integer)
Output:
	0 - type (integer)
	1 - data (array)
*/



	// Variables:
private ["_type", "_move"];
_want = _this select 0;
_move = _this select 1;

	// Default: target
_array = "FCM_TARGET";
_typeIDX = 0;

	// if passed "position"
if (_want == "Position") then	
{
	_array = "FCM_POSITION";
	_typeIDX = 1;
};

	// if passed "fov"
if (_want == "FOV") then		
{
	_array = "FCM_FOV";
	_typeIDX = 2;
};



	// Get current values
_type = (FCM_TYPE select _move) select _typeIDX;
_data = (call _array) select _move;



	// Get data from previous move if this one is inactive
while "_type<0 && _move>0" do
{
	_move = _move - 1;
	_type = (FCM_TYPE select _move) select _typeIDX;
	_data = (call _array) select _move;
	
};

		// Exception: if first move has fov no change - return 0.7
	if (_want=="FOV" && _type<0 && _move==0) then {_data=0.7};

	// Return
[_type, _data]